Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.33 veröffentlicht (03.01.23)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Probleme mit Plugins beim Update auf PHP 8.0
#1
Strato hat mich gezwungen die PHP-Version auf 8.0 umzustellen und ich hangele mich seitdem von einem Problem zu anderen.

Die Plugin-Update seit geht nicht mehr und dies liegt an dem CKEditor-Plugin. Im Serverlog erscheint folgendes:
Uncaught Error: Undefined constant "CKEDITOR_PLUGINROOT" in /mnt/web118/c2/15/5608015/htdocs/forum/inc/plugins/ckeditor.php:17

Das Problem ist hier, dass die Konstante CKEDITOR_PLUGINROOT nicht gesetzt wurde. Weiß jemand, wo ich diese im Forum setzen kann und welchen Wert diese haben sollte?

Beim SimpleEditor bekomme eine Warnung im Forum angezeigt:
Undefined array key 1 - Line: 606 - File: inc/plugins/simpleckeditor.php
Code-Zeile:
list($page, $queryStr) = explode("?", $page, 2);

Hat zufällig schon jemand die beiden Probleme gelöst?
Zitieren
#2
Bin jetzt etwas schlauer. In CKEDITOR.PHP wird die Konstante nicht in Hochkomma gesetzt. Daher wirkt sie nicht.

Man muss also
define(CKEDITOR_PLUGINROOT,MYBB_ROOT.'inc/plugins/ckeditor/');
durch
define('CKEDITOR_PLUGINROOT',MYBB_ROOT.'inc/plugins/ckeditor/');
ersetzen.

Jetzt kommen aber sehr viele Warning. Das Spaß geht weiter.
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  PHP-Warnungen beim Aktivieren des eigenen Plugins Michael Malin 24 5.621 12.11.2009, 20:33
Letzter Beitrag: Michael Malin